org.apache.cassandra.tools

## Class NodeTool

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool

-     public class NodeTool
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NodeTool.NodeToolCmd`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeTool()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.SortedMap<java.lang.String,SetHostStat>` | `getOwnershipByDc(NodeProbe probe, boolean resolveIp, java.util.Map<java.lang.String,java.lang.String> tokenToEndpoint, java.util.Map<java.net.InetAddress,java.lang.Float> ownerships)`
    `static void` | `main(java.lang.String... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeTool

          public NodeTool()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String... args)

    - #### getOwnershipByDc

          public static java.util.SortedMap<java.lang.String,SetHostStat> getOwnershipByDc(NodeProbe probe,
                                                                                           boolean resolveIp,
                                                                                           java.util.Map<java.lang.String,java.lang.String> tokenToEndpoint,
                                                                                           java.util.Map<java.net.InetAddress,java.lang.Float> ownerships)

Copyright © 2018 The Apache Software Foundation